#include "property.h"

namespace proctools
{

	using namespace std;

	// --- property ----------------------------------------------------------
	
	template<>
	std::string property<std::string>::str(void)
	{
		return m_value;
	}

	// --- property_bag ------------------------------------------------------
	
	bool property_bag::set(const string& name, const string& value)
	{
		property_map::iterator it = m_values.find(name);
		if (it == m_values.end())
			return false;

		*it->second << value;
		return true;
	}
}	
